Subject: RE: [Sipping] Re: WGLC: SIP service quality reporting

From: "Amy Pendleton" <[email-masked]>
Date: Fri, 15 Apr 2005 13:53:11 -0400

You are not the only one to point out that the title is not appropriate and
I have reached the conclusion that you are right.  Also, I have received
numerous complaints about the use of SDP lines while I only seem to have had
one person, other than myself, in favor of it. Given these facts, I have two
suggestions for changes to the draft:

1) Title goes back to "Voice Quality Reporting for SIP Sessions" or
something along those lines.  If there are other suggestion, please chime
in.  I don't want to tie this completely to RTCP XR though -- the defined
event does include metrics that are not currently in scope for RTCP XR.  We
were hoping for a draft that would allow other media types to be included,
but that is not covered and it would be easy enough to define an extension
or a new event type later.

2) Remove the SDP lines, go back to codec lines.  I am not crazy about this,
but there have sufficiently many compliants about the complexity involved
that I think the original definition was better suited.  

If anyone disagrees with these, please send something soon.

Thanks,
Amy

-----Original Message-----
From: Jean-Francois Mule [mailto:[email-masked]] 
Sent: Wednesday, April 13, 2005 5:01 PM
To: Pendleton, Amy [NGC:B601:EXCH]
Cc: Alan Clark; [email-masked]; [email-masked]; Sinnreich,Heinrich
(Henry Sinnreich)
Subject: RE: [Sipping] Re: WGLC: SIP service quality reporting

Amy,
Thanks for the note. Inline.
Jean-Francois

You wrote:
> -----Original Message-----
> From: Amy Pendleton [mailto:[email-masked]]
> Sent: Wednesday, March 30, 2005 1:49 PM
> To: Jean-Francois Mule; Dean Willis
> Cc: Rohan Mahy; Alan Clark; [email-masked]; [email-masked]; 
> Gonzalo Camarillo; Sinnreich,Heinrich (Henry Sinnreich)
> Subject: RE: [Sipping] Re: WGLC: SIP service quality reporting
> 
> Jean-Francois,
> 
[snip]

> I do recall that you raised an issue on use of this reporting 
> mechanism for more than just voice applications.
My email from 3/11 raised the inconsistencies of the draft in that area: the
title of the ID is not inline with the rest of the text. I will re-iterate
that the original name, or something closer is much appropriate ("Extended
RTCP Metric Reporting via SIP").

> There was a brief
> discussion on this topic
                     ^^^^^
I screened my local list archive and can't find any conclusion on this one.
Others (like Eric Burger) also expressed sticking with the RTCP name. Can
you point out to the "discussions" you are referring to?

My main concern is summarized in my earlier comment: the text in the ID does
not nearly represent what "SIP service quality reporting" could mean to
end-users or operators.

If the goal was about defining a flexible mechanism for "SIP Service quality
reporting", some guidance on how to define metrics, how to consider service
quality for SIP (one some users and operators care about may be the
equivalent of the PSTN post-dial-delay), etc. I don't think this ID is the
place for doing that and I like the content as it is. I just don't think
"marketing" the ID as the overall "SIP Service quality reporting" does any
good.

> just prior to the first WGLC and I took away
> that most people were happy with the usage of SDP lines for describing 
> the codec parameters.  My intention at this point is not to go back to 
> the formats in version 5 but to keep the SDP lines but again, let's 
> discussion on the list.
I think you are mixing the m= issue raised by Marc, Dean and others and my
comments. I did not express any comments on the above, did I?

> Regards,
> Amy

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: David R Oran <[email-masked]>
Date: Mon, 18 Apr 2005 08:44:14 -0400

On Apr 15, 2005, at 1:53 PM, Amy Pendleton wrote:

> You are not the only one to point out that the title is not 
> appropriate and I have reached the conclusion that you are right.  
> Also, I have received numerous complaints about the use of SDP lines 
> while I only seem to have had one person, other than myself, in favor 
> of it. Given these facts, I have two suggestions for changes to the 
> draft:
>
> something along those lines.  If there are other suggestion, please 
> chime in.  I don't want to tie this completely to RTCP XR though -- 
> the defined event does include metrics that are not currently in scope 
> for RTCP XR.  We were hoping for a draft that would allow other media 
> types to be included, but that is not covered and it would be easy 
> enough to define an extension or a new event type later.
>
I'm not one to obsess over titles, but here's a slightly modified, 
future proof title proposal: "Media session quality reporting for SIP". 
I'm ok with Amy's proposed title, but I *am* more than a little nervous 
about the lack of clarity about what the extension mechanism ought to 
be.

> 2) Remove the SDP lines, go back to codec lines.  I am not crazy about 
> this, but there have sufficiently many compliants about the complexity 
> involved that I think the original definition was better suited. 
>
Well, I object because the reason we switched to using SDP M= lines was 
because the original definition did not give you enough information to 
interpret the statistics properly. I'm not hung up on the syntax but 
I'd like to hear arguments as to why people believe they can properly 
process the other information without the information from the SDP m= 
lines.

> Cc: Alan Clark; [email-masked]; [email-masked]; 
> Sinnreich,Heinrich (Henry Sinnreich)
> My email from 3/11 raised the inconsistencies of the draft in that 
> area: the title of the ID is not inline with the rest of the text. I 
> will re-iterate that the original name, or something closer is much 
> appropriate ("Extended RTCP Metric Reporting via SIP").
>
> > There was a brief
> > discussion on this topic
>                      ^^^^^
> I screened my local list archive and can't find any conclusion on this 
> one. Others (like Eric Burger) also expressed sticking with the RTCP 
> name. Can you point out to the "discussions" you are referring to?
>
> My main concern is summarized in my earlier comment: the text in the 
> ID does not nearly represent what "SIP service quality reporting" 
> could mean to end-users or operators.
>
> If the goal was about defining a flexible mechanism for "SIP Service 
> quality reporting", some guidance on how to define metrics, how to 
> consider service quality for SIP (one some users and operators care 
> about may be the equivalent of the PSTN post-dial-delay), etc. I don't 
> think this ID is the place for doing that and I like the content as it 
> is. I just don't think "marketing" the ID as the overall "SIP Service 
> quality reporting" does any good.
>
>
> I think you are mixing the m= issue raised by Marc, Dean and others 
> and my comments. I did not express any comments on the above, did I?
>
> >
> > Regards,
> > Amy
>
David R. Oran
Cisco Fellow
Cisco Systems
7 Ladyslipper Lane
Acton, MA 01720 USA
Tel: +1 978 264 2048
Email: [email-masked]